com.genesyslab.wfm8.API.service.config800

## Class CfgSecurityRoleShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgSecurityRoleShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSecurityRoleShort
      extends java.lang.Object
      implements java.io.Serializable

  Security Role Short Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmName`
    `protected int` | `wmSecurityRoleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSecurityRoleShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmSecurityRoleId()` Gets the value of the wmSecurityRoleId property.
    `int` | `hashCode()`
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSecurityRoleId(int value)` Sets the value of the wmSecurityRoleId property.
    `java.lang.String` | `toString()`
    `CfgSecurityRoleShort` | `withWmName(java.lang.String value)`
    `CfgSecurityRoleShort` | `withWmSecurityRoleId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSecurityRoleId

          protected int wmSecurityRoleId

    - #### wmName

          protected java.lang.String wmName

  - ### Constructor Detail

    - #### CfgSecurityRoleShort

          public CfgSecurityRoleShort()

  - ### Method Detail

    - #### getWmSecurityRoleId

          public int getWmSecurityRoleId()

      Gets the value of the wmSecurityRoleId property.

    - #### setWmSecurityRoleId

          public void setWmSecurityRoleId(int value)

      Sets the value of the wmSecurityRoleId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmSecurityRoleId

          public CfgSecurityRoleShort withWmSecurityRoleId(int value)

    - #### withWmName

          public CfgSecurityRoleShort withWmName(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.